# Describe UHost Available DiskTypes - DescribeUHostAvailableDiskTypes

## Overview

Describe UHost Available DiskTypes






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DescribeUHostAvailableDiskTypes`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.scloudsg.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [Region and Zone List](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Zone. See [Region and Zone List](/docs/api/summary/regionlist) |No|
| **ProjectId** | string | Project ID. Leave it blank for the default project. Sub-accounts must fill in. Please refer to the [GetProjectList API](/docs/api/summary/get_project_list) |No|
| **UHostIds.N** | string | A list of UHostId. Maximum 100 items |**Yes**|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **DiskTypeSet** | array[[*AvailableDiskTypes*](#availabledisktypes)] | DiskType Set |**Yes**|

#### Data Model


#### AvailableDiskTypes

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Zone** | string | Zone |No|
| **UHostId** | string | UHost Id |No|
| **AvailableDisks** | array[[*Disks*](#disks)] | Available Disks |No|

#### Disks

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Name** | string | Disk medium category information, the main categories of disks are as follows: Cloud Disk\|cloudDisk, Normal Local Disk\|normalLocalDisk and SSD Local Disk\|ssdLocalDisk. |No|
| **BootDisk** | array[[*BootDiskInfo*](#bootdiskinfo)] | System Disk Information |No|
| **DataDisk** | array[[*DataDiskInfo*](#datadiskinfo)] | Data Disk Information |No|

#### BootDiskInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Name** | string | System disk category, including ordinary cloud disk\|CLOUD_NORMAL, SSD cloud disk\|CLOUD_SSD and RSSD cloud disk\|CLOUD_RSSD. The ordinary local disk only includes ordinary local disk\|LOCAL_NORMAL. The SSD local disk only includes SSD local disk\|LOCAL_SSD. |No|
| **InstantResize** | boolean | Whether the system disk allows expansion. If it is a local disk, expansion is not allowed, InstantResize is set to false. |No|
| **MaximalSize** | int | MaximalSize is the maximum value of the disk |No|
| **Features** | array[string] | Services Supported by Disk |No|

#### DataDiskInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **MinimalSize** | int | Minimum disk size. If this field is not present, the minimum value defaults to the base image size (20G for Linux, 40G for Windows). |No|
| **Name** | string | Data disk types, including ordinary cloud disk\|CLOUD_NORMAL, SSD cloud disk\|CLOUD_SSD and RSSD cloud disk\|CLOUD_RSSD. The ordinary local disk only includes ordinary local disk\|LOCAL_NORMAL. The SSD local disk only includes SSD local disk\|LOCAL_SSD. |No|
| **MaximalSize** | int | MaximalSize is the maximum value of the disk |No|
| **Features** | array[string] | Services Supported by Data Disk |No|
| **BackupMode** | array[string] | Supported snapshot backup modes |No|

## Example

### Request Example
    
```
https://api.scloudsg.com/?Action=DescribeUHostAvailableDiskTypes
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=aapnFXdm
&UHostIds.N=DgUleNLt
```

### Response Example
    
```json
{
  "Action": "DescribeUHostAvailableDiskTypesResponse",
  "DiskTypeSet": [
    "ozwaOjxe"
  ],
  "RetCode": 0
}
```





